# frozen_string_literal: true

class AssetBase < ActiveRecord::Base
  self.abstract_class = true

  class_attribute :account_attr, :label_model, :label_override_model, :label_relation,
    :annotation_model, :annotation_relation

  def crn
    [
      "crn:containers:#{service_name}",
      customer_id,
      asset_name,
      name
    ].join(":")
  end
end
