# frozen_string_literal: true

require_relative "base_tag"

class KubernetesAnnotation < BaseTag
  has_and_belongs_to_many :kubernetes_nodes, join_table: "kubernetes_nodes_kubernetes_annotations"
  has_and_belongs_to_many :kubernetes_namespaces, join_table: "kubernetes_namespaces_kubernetes_annotations"
  has_and_belongs_to_many :kubernetes_containers_images, join_table: "kubernetes_containers_images_kubernetes_annotations"
  has_and_belongs_to_many :kubernetes_daemonsets, join_table: "kubernetes_daemonsets_kubernetes_annotations"
  has_and_belongs_to_many :kubernetes_deployments, join_table: "kubernetes_deployments_kubernetes_annotations"
  has_and_belongs_to_many :kubernetes_replicasets, join_table: "kubernetes_replicasets_kubernetes_annotations"
  has_and_belongs_to_many :kubernetes_statefulsets, join_table: "kubernetes_statefulsets_kubernetes_annotations"
end
