# Data format value for processing job
FORMAT_JSON = 1
# data source on collection job
DATA_SOURCE_K8S_AGENT = "k8s_collector_agent".freeze
# use one service for all of these assets
ASSET_SERVICE = "kubernetes".freeze
# first arg on sidekiq processing job
PROCESSOR_JOB_NAME = "com.cloudhealthtech.containers.processing_assets".freeze

# This object type requires special handling, so let's define it here
CLUSTER_REMOVE_OBJECT_TYPE = "cluster_remove"
CLUSTER_STATUS_OBJECT_TYPE = "cluster_status"
CLUSTER_ASSET_TYPE = "clusters"

# Cloud provider values for DB tables
PROVIDER_AWS = "AWS"
PROVIDER_GCP = "GCP"
PROVIDER_AZURE = "AZURE"

# sanity check for cpu value so we don't overflow the column
MAXIMUM_ALLOWED_CPU = 9999

# This is the default value for the containers_clusters "uid" column, used for legacy clusters.
DEFAULT_CLUSTER_UID="NONE"
